#                                                                -*-Autoconf-*-
# Copyright (C) 2009 by Thomas Moulard, AIST, CNRS, INRIA.
# This file is part of the roboptim.
#
# roboptim is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Additional permission under section 7 of the GNU General Public
# License, version 3 ("GPLv3"):
#
# If you convey this file as part of a work that contains a
# configuration script generated by Autoconf, you may do so under
# terms of your choice.
#
# roboptim is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with roboptim.  If not, see <http://www.gnu.org/licenses/>.

# serial 1

# ------ #
# README #
# ------ #

# This m4 file can be used to search for Doxygen and its dependencies.

m4_pattern_forbid([^JRL])

# JRL_PROG_DOXYGEN([REQUIRED_VERSION])
# --------------------------------------------
# Search for Doxygen and related tools (perl and dot).
AC_DEFUN([JRL_PROG_DOXYGEN],
[# Search for Doxygen and its related tools.
#  Search for Doxygen.
AC_ARG_VAR([DOXYGEN], [the Doxygen documentation generation program])
AC_CHECK_PROGS([DOXYGEN], [doxygen])


#  Search for Perl.
AC_ARG_VAR([PERL], [the perl interpreter])
AC_CHECK_PROGS([PERL], [perl])

if test x"$PERL" = x; then
 AC_MSG_FAILURE([Perl not found.])
fi


#  Search for Dot.
AC_ARG_VAR([DOT], [the dot graphic tool])
AC_CHECK_PROGS([DOT], [dot])

if test x"$DOT" = x; then
 AC_SUBST([HAVE_DOT], [NO])
else
 AC_SUBST([HAVE_DOT], [YES])
fi
]) # JRL_PROG_DOXYGEN
