#ifndef HPP_HIK_TEST_H
#define HPP_HIK_TEST_H

#include "hppGik/robot/hppGikStandingRobot.h"

/**
 \brief UnitTesting class of class ChppLocalStepper
 */
class ChppHikTest
{
    public:

        ChppHikTest();

        bool solve();
        
        bool solveSimple();

        ~ChppHikTest();

    private:

        void createHumanoidRobot();

        bool applySolution(const vectorN& inVelo);
        bool prepare();
        void updateBounds();

        ChppGikStandingRobot* attStandingRobot;

        CjrlHumanoidDynamicRobot* attRobot;

        double attSamplingPeriod;
        double attMaxVelo;
        vectorN attDs,att_inv_Di_Ds, attUb, attLb ;
};

#endif


